Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class ManagedConcurrentMap.Segment

    java.lang.Object
      AbstractConcurrentMap.Segment
          org.codehaus.groovy.util.ManagedConcurrentMap.Segment

    public static class ManagedConcurrentMap.Segment
    extends Segment

Field Summary
`protected ReferenceBundle` | `bundle`

Constructor Summary
`ManagedConcurrentMap.Segment(ReferenceBundle bundle, int cap)`

Method Summary
`protected def` | `createEntry(K key, int hash, V value)`

Field Detail

### bundle

    protected final ReferenceBundle bundle

Constructor Detail

### ManagedConcurrentMap.Segment

    public ManagedConcurrentMap.Segment(ReferenceBundle bundle, int cap)

Method Detail

### createEntry

    protected def createEntry(K key, int hash, V value)

Copyright © 2003-2010 The Codehaus. All rights reserved.